{% extends "base.html" %}

	{% block content %}

        <h2> All Tasks</h2>
        <section class="task-containers">
        {% if task_list %}

            {% for task in task_list %}
                <div class="t-container">
                    <a href="{% url 'task-detail' task.id %}">{{task.taskName}}</a>
                    <p>Start Date : {{task.start_date}}</p>
                    <p>End Date : {{task.end_date}}</p>
                </div>

            {% endfor %}
        </section>
        <section class="pages-content">

                {% if is_paginated %}

                     <span >
                        Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}....
                     </span>

                     {% if page_obj.has_previous %}
                            <span><a href="?page={{ page_obj.previous_page_number }}"><=Previous</a></span>
                     {% endif %}
                     {% if page_obj.has_next %}
                            <span><a href="?page={{ page_obj.next_page_number }}">Next=></a></span>
                     {% endif %}


                {% endif %}

        </section>

         {% else %}
            <p>No Tasks Available</p>
         {% endif %}

{% endblock %}
